#
# spec file for package gnome-weather
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-weather
%define _name org.gnome.Weather
Version:        3.14.0
Release:        0
Summary:        Weather App for GNOME
License:        GPL-2.0+
Group:          Productivity/Other
Url:            https://live.gnome.org/Design/Apps/Weather
Source:         http://download.gnome.org/sources/gnome-weather/3.14/%{name}-%{version}.tar.xz
BuildRequires:  gjs
BuildRequires:  intltool >= 0.26
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gjs-1.0) >= 1.39.91
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.4
BuildRequires:  pkgconfig(gweather-3.0) >= 3.9.5
BuildArch:      noarch
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
GNOME 3 weather app that does:
* display current conditions
* display forecasts
* show radar maps
* notify on hazardous weather conditions

%package -n gnome-shell-search-provider-gnome-weather
Summary:        GNOME Weather -- Search Provider for GNOME Shell
Group:          Productivity/Other
Supplements:    packageand(gnome-shell:%{name})
Requires:       %{name} = %{version}

%description -n gnome-shell-search-provider-gnome-weather
This package contains a search provider to enable GNOME Shell to get
search results from GNOME Weather.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file %{_name}.Application Utility DesktopUtility
%find_lang %{_name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Weather.Application.appdata.xml
%{_datadir}/applications/org.gnome.Weather.Application.desktop
%{_datadir}/%{_name}/
%{_datadir}/dbus-1/services/org.gnome.Weather.Application.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.Application.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{_name}.*
%dir %{_datadir}/icons/HighContrast/
%dir %{_datadir}/icons/HighContrast/*
%dir %{_datadir}/icons/HighContrast/*/apps/
%{_datadir}/icons/HighContrast/*/apps/%{_name}.*

%files -n gnome-shell-search-provider-gnome-weather
%defattr(-,root,root)
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.Application.search-provider.ini

%files lang -f %{_name}.lang

%changelog
